# useSpock

abstract fun useSpock()

Use the Spock Framework testing framework.

Gradle will provide the version of Spock to use. Defaults to version `2.3-groovy-4.0`

abstract fun useSpock(version: String)

Use the Spock Framework testing framework with a specific version.

#### Parameters

version

the version of Spock to use

abstract fun useSpock(version: Provider<String>)

Use the Spock Framework testing framework with a specific version.

#### Since

7.6

#### Parameters

version

provider supplying the version of Spock to use